Package org.apache.tomcat.util.descriptor.tld

# Class TldParser

java.lang.Object
org.apache.tomcat.util.descriptor.tld.TldParser

public class TldParser extends Object
Parses a Tag Library Descriptor.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TldParser(boolean namespaceAware, boolean validation, boolean blockExternal)`
  `TldParser(boolean namespaceAware, boolean validation, RuleSet ruleSet, boolean blockExternal)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaglibXml`
  `parse(TldResourcePath path)`
  `void`
  `setClassLoader(ClassLoader classLoader)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TldParser

    public TldParser(boolean namespaceAware, boolean validation, boolean blockExternal)

  - ### TldParser

    public TldParser(boolean namespaceAware, boolean validation, RuleSet ruleSet, boolean blockExternal)

- ## Method Details

  - ### parse

    public TaglibXml parse(TldResourcePath path) throws IOException, SAXException
    Throws:
      `IOException`
      `SAXException`

  - ### setClassLoader

    public void setClassLoader(ClassLoader classLoader)